Skip to main content
GET
Get one of a customer's payments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shortName
string
required

Your partner short name

externalUserId
string
required

Your own ID for the customer

reference
string
required

The payment reference, e.g. NDV7F3K9Q

Response

reference
string
required

The PaymentReference. For a bank transfer, quote it as the transfer memo

Example:

"NDV7F3K9Q"

channel
enum<string>
required
Available options:
MPESA,
BANK_TRANSFER
amount
number
required
Example:

5000

finalAmount
number
required

The amount to pay

Example:

5000

currency
string
required
Example:

"KES"

status
enum<string>
required
Available options:
PENDING,
COMPLETED,
FAILED
createdAt
string<date-time>
required
mnoReference
string | null

The M-Pesa receipt

bankReference
string | null

The bank's own transaction id, once reconciled

phoneNumber
string | null

The paying number, redacted (M-Pesa)

Example:

"+2547...5678"

plan
object | null
transactionId
number | null

The Transaction this Payment funds. Null until the Payment is COMPLETED, when the Transaction is created

completedAt
string<date-time> | null
bankDetails
object | null

Where to send a bank transfer. Only while a BANK_TRANSFER Payment is PENDING